viernes, julio 21, 2006

Como tener aMsn 0.97 con antialias y con la posibilidad de utlilizar cualquier fuente que tengamos instalada.

Con ésto instalamos la última versión estable de amsn (salida hace muy poco) y le damos el aspecto que se merece a uno de los mejores mensajeros escritos hasta el momento.

Abrimos un terminal y con ésto quitamos la versión anterior de amsn y de tcltls ( el símbolo $ reprecenta que estoy en la consola por lo tanto no se escribe ):

$ sudo aptitude remove amsn tcltls

Ahora instalamos los paquetes necesarios para compilar el amsn y demás:

$ sudo aptitude install build-essential libc6-dev libx11-dev libxft-dev imagemagick libjpeg62-dev libpng12-dev

Descargamos y compilamos de ésta manera tk y tcl para que nos proporcione antialias en las fuentes:

$ wget ftp://ftp.tcl.tk/pub/tcl/tcl8_5/tcl8.5a6-src.tar.gz
$ tar xzvf tcl8.5a6-src.tar.gz
$ cd /tcl8.5a6/unix
$ ./configure --prefix=/usr
$ make
$ sudo make install

$ cd
$ wget ftp://ftp.tcl.tk/pub/tcl/tcl8_5/tk8.5a6-src.tar.gz
$ tar xzvf tk8.5a6-src.tar.gz
$ cd tk8.5a6/unix
$ ./configure --prefix=/usr --enable-xft
$ make
$ sudo make install


Nota: Las versiones de tcl y tk cambian con el tiempo, si quieren verificar si existe una nueva, deben entrar a esta pagina LINK

Ésto es para que funcionen las nuevas versiones sobre el amsn:

$ cd /usr/bin
$ sudo rm wish
$ sudo ln -s wish8.5 wish

Finalmente compilamos el amsn:

$ cd
$ wget http://ufpr.dl.sourceforge.net/sourceforge/amsn/amsn-0.97.tar.bz2
$ tar xzvf amsn-0.97RC1.tar.gz
$ cd /amsn-0.97RC1
$ ./configure --with-tcl=/usr/lib/ --with-tk=/usr/lib/
$ make
$ sudo make install

Si todo salió bién escribimos amsn y al iniciar seción nos ofrecerá descargar tls (sin ésta libreria no podemos conectarnos), elegimos el adecuado para nuestra arquitectura de procesador (la más común x86, para procesadores de 32 bits), ponémos instalar y finalmente tendremos nuestro amsn listo para funcionar con la posibilidad de cambiarle las fuentes a cualquiera que tengamos instalada y con antialias.

Para la nueva version de Amsn debemos compilarla de nuevo haciendo lo que hicimos antes (solo Amsn, no tcl, ni tk8)

para los que se perdieron ahi va detallado

Bajamos el Amsn última version de ACA
Siempre bajen el que pone "Tarball Source", ya que es ese el que compilaremos

lo descomprimimos

doble click en el archivo bajado y descomprimir donde quieran

cd /donde descomprimimos el .tar.bz2

$ ./configure --with-tcl=/usr/lib/ --with-tk=/usr/lib/
$ make
$ sudo make install

Nota: Quizas les de un error en el tcl; o sea, les pide de descargarlo para su arquitectura, pero jamas para de pedirlo......
Esto lo arreglamos de esta manera:

$ locate pkgIndex.tcl

Esto nos dara la ubicacion de este archivo, por ejemplo "/usr/lib/tls1.50/pkgIndex.tcl"

$ sudo gedit /usr/lib/tls1.50/pkgIndex.tcl

En este archivo habrá algo como esto:

package ifneeded tls 1.5 "[list load [file join $dir .. libtls1.50.so] ] ; [list source [file join $dir tls.tcl] ]"

Y debemos agregarle un cero a 1.5, quedando:

package ifneeded tls 1.50 "[list load [file join $dir .. libtls1.50.so] ] ; [list source [file join $dir tls.tcl] ]"

Esto deberia arreglar el problema del tcl...

Muchas Gracias, y espero que les funcione

10 comentarios:

Gatoubb dijo...

Hola sabes q segui al pie de la letra tus instrucciones, me funciono a la perfeccion, al menos la primera vez, luego se me empezo a colgar, no c si te pasa lo mismo

uso Ubuntu 6.06, kernel 2.6.15-26-686

no c que demonios sucede... ojala puedas dar una solucion

Anónimo dijo...

Hola, todo salió perfecto pero ahora se liberó una nuva versión. Que se debe hacer para actulizarlo. Ojala al pie de la letra como explicaste lo otro. Gracias.!

Matias Ferrini dijo...

contestado debajo de la guia ;)

Kobelitro dijo...

Buenas, lo hice perfectamente con la antigua version, pero ahora intento hacerlo con la nueva, solo con las tres lineas de abajo como tu pones, pero a la hora de hacer el "make" me dice que no se encontro ningun objetivo, porque pasa esto?

Talue

Lucho dijo...

yo realizo todo eso y m e dic q regueire lo siguiente
checking for png_read_info in -lpng... no
configure: error: libpng is required

por favor ayundeme

Matias Ferrini dijo...

Lucho, pues es problema es que te falta el paquete "libpng-dev"
Instala este paquete y trata de nuevo
Espero te funcione

OberonKing dijo...

Viendo que las nuevas versiones piden los paquetes libpng y ligjpeg, los he añadido a la guía.
Disculpen las molestias

Dante dijo...

el nuevo link para la descarga del gzip es
http://downloads.sourceforge.net/amsn/amsn-0.97.tar.gz?modtime=1198526624&big_mirror=0

Anónimo dijo...

Tengo un problema con el locate pkgIndex.tcl, no encuentra nada, entonces hice un find y lo encontró, pero en muuuchos directorios, uno de ellos dentro de mi carpeta personal (/home/yo/.amsn/plugins/tls1.50/pkgIndex.tcl) y los otros en
/usr/share/tcltk/...
/usr/share/amsn/...
Y en tus instrucciones indicas que el pkgIndex.tcl estaría dentro de la carpeta /usr/lib/tls1.50 Entonces reviso el resultado del find y dentro de todo lo que encontró uno solo hace referencia al tlsl.50 y está en mi carpeta personal (indicada arriba).
Luego edito el archivo y el contenido es exactamente al que detallas:
package ifneeded tls 1.5 ....
lo malo es que mi archivo ya tiene el cero!!! :( :( :(
y al intentar arrancar el amsn sale la pantalla indicando que se requiere bajar el TLS...
También me fijé que en las preferencias del amsn se le puede indicar la ruta del TLS yo le doy /usr/lib64/tls pero tampoco pesca...
Dame un F1 plizzz
Espero haber explicado bien :)

OberonKing dijo...

Busca o baja el tar.gz del tls 1.50 y descomprimelo en /home/tu_user/.amsn/plugins/

luego en el amsn, Cuenta >> Preferencias >> Avanzadas >> Otras.

Busca donde pone TLS.. en el box de texto pon: /home/tu_user/.amsn/plugins/tls1.50

esto deberia funcionar.

Espero que te sirva....

Ahora, el amsn de los repositorios desde Gutsy no es necesario hacer esto del Antialias.. ya fue empaquetado con esto hecho.

Un Saludo y gracias por pasarte